Gecode::ArrayTraits< LiteralArgs > Class Reference

Traits of LiteralArgs. More...

`#include <ldsb.hh>`

## Public Types

typedef LiteralArgs | StorageType
typedef Int::LDSB::Literal | ValueType
typedef LiteralArgs | ArgsType

## Detailed Description

Traits of LiteralArgs.

Definition at line 96 of file ldsb.hh.

## Member Typedef Documentation

## StorageType

typedef LiteralArgs Gecode::ArrayTraits< LiteralArgs >::StorageType

Definition at line 98 of file ldsb.hh.

## ValueType

typedef Int::LDSB::Literal Gecode::ArrayTraits< LiteralArgs >::ValueType

Definition at line 99 of file ldsb.hh.

## ArgsType

typedef LiteralArgs Gecode::ArrayTraits< LiteralArgs >::ArgsType

Definition at line 100 of file ldsb.hh.

The documentation for this class was generated from the following file:

- gecode/int/ldsb.hh